<?php

/**
 * @file
 * Provide views data and views handlers for ezshop.module
 */

 /**
 * Implementation of hook_views_data().
 */
function ezshop_views_data() {
  $data['ezshop_items']['table']['group'] = t('EZShop');

  $data['ezshop_items']['table']['base'] = array(
    'field' => 'nid',
    'title' => t('EZShop'),
    'help' => t('EZShop orders.'),
  );

  $data['ezshop_items']['uid'] = array(
    'title' => t('User'),
    'help' => t('The customer.'),
    'relationship' => array(
      'label' => t('User'),
      'base' => 'users',
      'base field' => 'uid',
    ),
  );

  $data['ezshop_items']['nid'] = array(
    'title' => t('Product'),
    'help' => t('The product.'),
    'relationship' => array(
      'label' => t('Product'),
      'base' => 'node',
      'base field' => 'nid',
    ),
  );

  $data['ezshop_items']['cnt'] = array(
    'title' => t('Count'),
    'help' => t('Product quantity.'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  $data['ezshop_items']['add_item'] = array(
    'title' => t('Add to cart'),
    'help' => t('Display <em>Add to cart</em> link.'),
    'field' => array(
      'handler' => 'ezshop_handler_field_add_item',
    ),
  );

  $data['ezshop_items']['delete_item'] = array(
    'title' => t('Remove from cart'),
    'help' => t('Display <em>Remove from cart</em> link.'),
    'field' => array(
      'handler' => 'ezshop_handler_field_delete_item',
    ),
  );

  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function ezshop_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'ezshop') .'/includes/views/handlers',
    ),
    'handlers' => array(
      'ezshop_handler_field_add_item' => array(
        'parent' => 'views_handler_field_node_link',
      ),
      'ezshop_handler_field_delete_item' => array(
        'parent' => 'views_handler_field_node_link',
      ),
    ),
  );
}
