<?php

/**
 * @file
 * Contains default views on behalf of the EZShop module.
 */

/**
 * Implementation of hook_default_view_views().
 */
function ezshop_views_default_views() {
  $view = new view;
  $view->name = 'EZShop';
  $view->description = 'Display a list of EZShop orders.';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'ezshop_items';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'nid' => array(
      'label' => 'Product',
      'required' => 1,
      'id' => 'nid',
      'table' => 'ezshop_items',
      'field' => 'nid',
      'relationship' => 'none',
    ),
    'uid' => array(
      'label' => 'User',
      'required' => 1,
      'id' => 'uid',
      'table' => 'ezshop_items',
      'field' => 'uid',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('fields', array(
    'name' => array(
      'label' => 'Costumer',
      'link_to_user' => 1,
      'exclude' => 0,
      'id' => 'name',
      'table' => 'users',
      'field' => 'name',
      'relationship' => 'uid',
    ),
    'title' => array(
      'label' => 'Product',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'nid',
    ),
    'cnt' => array(
      'label' => 'Count',
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ' ',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'cnt',
      'table' => 'ezshop_items',
      'field' => 'cnt',
      'relationship' => 'none',
    ),
    'delete_item' => array(
      'label' => 'Options',
      'text' => '',
      'exclude' => 0,
      'id' => 'delete_item',
      'table' => 'ezshop_items',
      'field' => 'delete_item',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('filters', array(
    'uid_current' => array(
      'operator' => '=',
      'value' => 1,
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'uid_current',
      'table' => 'users',
      'field' => 'uid_current',
      'relationship' => 'uid',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'access ezshop',
  ));
  $handler->override_option('empty', 'Your cart is empty.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 0);
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'cnt' => 'cnt',
      'name' => 'name',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'cnt' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'name' => array(
        'sortable' => 1,
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Cart', 'page_1');
  $handler->override_option('fields', array(
    'name' => array(
      'label' => 'Costumer',
      'link_to_user' => 1,
      'exclude' => 1,
      'id' => 'name',
      'table' => 'users',
      'field' => 'name',
      'relationship' => 'uid',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'title' => array(
      'label' => 'Product',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'nid',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'cnt' => array(
      'label' => 'Count',
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ' ',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'cnt',
      'table' => 'ezshop_items',
      'field' => 'cnt',
      'relationship' => 'none',
    ),
    'delete_item' => array(
      'label' => 'Options',
      'text' => '',
      'exclude' => 0,
      'id' => 'delete_item',
      'table' => 'ezshop_items',
      'field' => 'delete_item',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('title', 'Cart');
  $handler->override_option('path', 'cart');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Cart',
    'weight' => '-9',
    'name' => 'ezshop',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'weight' => 0,
  ));
  $handler = $view->new_display('block', 'Order', 'block_1');
  $handler->override_option('fields', array(
    'cnt' => array(
      'label' => '',
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ' ',
      'prefix' => '',
      'suffix' => ' -- ',
      'exclude' => 0,
      'id' => 'cnt',
      'table' => 'ezshop_items',
      'field' => 'cnt',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
    'title' => array(
      'label' => '',
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'nid',
      'override' => array(
        'button' => 'Use default',
      ),
    ),
  ));
  $handler->override_option('header', 'Count -- Product');
  $handler->override_option('header_format', '1');
  $handler->override_option('header_empty', 0);
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'cnt' => 'cnt',
      'title' => 'cnt',
    ),
    'info' => array(
      'cnt' => array(
        'sortable' => 0,
        'separator' => '',
      ),
      'title' => array(
        'sortable' => 0,
        'separator' => '',
      ),
    ),
    'default' => '-1',
  ));
  $handler->override_option('block_description', 'EZShop order');
  $handler->override_option('block_caching', -1);

  $views[$view->name] = $view;
  return $views;
}
